import { MaybeArray } from '@ts-schema-autogen/utils';
import { OutputDescriptor } from '@ts-schema-autogen/types';
/**
 * Convert an output filename or descriptor into a descriptor
 * @param maybeDesc Output filename or output descriptor
 */
export declare const ensureOutputDescriptor: (maybeDesc: string | OutputDescriptor) => OutputDescriptor;
/**
 * Convert an output filename, descriptor, or array of either into an array of descriptors
 * @param maybeDesc Output filename, output descriptor or array of either
 */
export declare const ensureOutputDescriptorArray: (maybeDesc: MaybeArray<string | OutputDescriptor>) => OutputDescriptor[];
